Bug 473759 - rhgb option on kernel command line results in frozen X window
rhgb option on kernel command line results in frozen X window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: eq-overflow
  Show dependency treegraph
 
Reported: 2008-11-30 06:20 EST by András Szilárd
Modified: 2009-12-18 02:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:02:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
own xorg.conf (3.21 KB, text/plain)
2008-12-04 22:58 EST, András Szilárd
no flags Details
Xorg.0.log (71.04 KB, text/plain)
2008-12-04 23:00 EST, András Szilárd
no flags Details
Xorg.1.log (24.28 KB, text/plain)
2008-12-04 23:01 EST, András Szilárd
no flags Details
Xorg.1.log.old (24.28 KB, text/plain)
2008-12-04 23:01 EST, András Szilárd
no flags Details
Xorg.2.log (24.28 KB, text/plain)
2008-12-04 23:02 EST, András Szilárd
no flags Details
Xorg.2.log.old (24.28 KB, text/plain)
2008-12-04 23:03 EST, András Szilárd
no flags Details
Xorg.3.log (24.28 KB, text/plain)
2008-12-04 23:03 EST, András Szilárd
no flags Details
Xorg.3.log.old (24.28 KB, text/plain)
2008-12-04 23:04 EST, András Szilárd
no flags Details
Xorg.4.log (24.28 KB, text/plain)
2008-12-04 23:05 EST, András Szilárd
no flags Details
Xorg.4.log.old (24.28 KB, text/plain)
2008-12-04 23:06 EST, András Szilárd
no flags Details
Xorg.5.log (24.28 KB, text/plain)
2008-12-04 23:06 EST, András Szilárd
no flags Details
Xorg.5.log.old (24.28 KB, text/plain)
2008-12-04 23:07 EST, András Szilárd
no flags Details
Xorg.6.log (6.36 KB, text/plain)
2008-12-04 23:07 EST, András Szilárd
no flags Details
Xorg.6.log.old (6.36 KB, text/plain)
2008-12-04 23:08 EST, András Szilárd
no flags Details
Xorg.7.log (6.36 KB, text/plain)
2008-12-04 23:08 EST, András Szilárd
no flags Details
Xorg.7.log.old (6.36 KB, text/plain)
2008-12-04 23:09 EST, András Szilárd
no flags Details
Xorg.8.log (6.36 KB, text/plain)
2008-12-04 23:09 EST, András Szilárd
no flags Details
Xorg.0.log with autogenerated xorg.conf (72.46 KB, text/plain)
2008-12-04 23:35 EST, András Szilárd
no flags Details
no xorg.conf X still hangs after a while (214.94 KB, application/octet-stream)
2008-12-05 12:03 EST, András Szilárd
no flags Details
recent Xorg.0.log (72.80 KB, application/octet-stream)
2008-12-05 12:05 EST, András Szilárd
no flags Details

  None (edit)
Description András Szilárd 2008-11-30 06:20:19 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

Having rhgb on the kernel cmd line results in frozen X window suddenly, after a while (~ in an hour). I could not really track down what is happening, so please clarify what kind of logs do you need. Probably, this is an issue with the gfx card driver?

Sometimes I could kill X with CTRL-ALT-Backspace, but sometimes it was more un-responsive. I could login from an other machine and CPU usage was not high. Seemingly only the X became frozen.

$ uname -a
Linux localhost.localdomain 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18 11:58:53 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

$ lspci
00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal gfx)
00:04.0 PCI bridge: ATI Technologies Inc Device 7914
00:05.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 1)
00:07.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 3)
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
06:00.0 Network controller: Atheros Communications Inc. AR5418 802.11abgn Wireless PCI Express Adapter (rev 01)
07:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
07:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
07:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)


Reproducible: Always

Steps to Reproduce:
1. Add rhgb option to kernel command line (do not use nomodeset on the same line)
2. Start in init 5
3. Use X (try to file a bugreport :))
4. X hangs after a while
Actual Results:  
X freeze, cold restart.

Expected Results:  
X should not freeze.

Removing rhgb from the kernel command line (or adding nomodeset) seems to work around this issue, but one will not have the nice graphical boot.
Comment 1 András Szilárd 2008-11-30 06:23:28 EST
Sorry, at "Actual Results:" I meant X became frozen, so I needed to cold restart the machine. This is why I set the "Severity" urgent.
Comment 2 András Szilárd 2008-12-01 16:16:28 EST
Maybe I have a similar problem like this https://bugzilla.redhat.com/show_bug.cgi?id=464866
I have seen the message "[mi] EQ overflowing. The server is probably stuck in an infinite loop." in the X log (the logs got overwritten).
In a few days I will try to provide more details by reproducing the fault.
Comment 3 Matěj Cepl 2008-12-02 18:19:34 EST
Andras, please, file a separate bug for your issue. Thank you.

----------------------

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 András Szilárd 2008-12-04 22:55:47 EST
Screen: built-in LCD panel. (I will use single headed X for these tests with the built-in LCD.)

Using nomodeset, with own Xorg.conf is stable.
Note: cc. every other startup the screen flickers (there are horizontal vibrating lines on the screen; when the screen is dark this is not visible). Switching to text mode (CTRL-ALT-Fx) and back resolves this issue.

Using nomodeset, with autogenerate Xorg.conf is also seems to be stable.

I will attach the logs right now.

Let me know, if you need tests / logs with the rhgb kernel option.
Comment 5 András Szilárd 2008-12-04 22:58:21 EST
Created attachment 325775 [details]
own xorg.conf
Comment 6 András Szilárd 2008-12-04 23:00:29 EST
Created attachment 325776 [details]
Xorg.0.log

There will be no Xorg.0.log.old (would be the same as this file / overwritten).
Comment 7 András Szilárd 2008-12-04 23:01:17 EST
Created attachment 325777 [details]
Xorg.1.log
Comment 8 András Szilárd 2008-12-04 23:01:50 EST
Created attachment 325778 [details]
Xorg.1.log.old
Comment 9 András Szilárd 2008-12-04 23:02:35 EST
Created attachment 325779 [details]
Xorg.2.log
Comment 10 András Szilárd 2008-12-04 23:03:07 EST
Created attachment 325780 [details]
Xorg.2.log.old
Comment 11 András Szilárd 2008-12-04 23:03:46 EST
Created attachment 325781 [details]
Xorg.3.log
Comment 12 András Szilárd 2008-12-04 23:04:27 EST
Created attachment 325782 [details]
Xorg.3.log.old
Comment 13 András Szilárd 2008-12-04 23:05:07 EST
Created attachment 325783 [details]
Xorg.4.log
Comment 14 András Szilárd 2008-12-04 23:06:14 EST
Created attachment 325784 [details]
Xorg.4.log.old
Comment 15 András Szilárd 2008-12-04 23:06:44 EST
Created attachment 325785 [details]
Xorg.5.log
Comment 16 András Szilárd 2008-12-04 23:07:12 EST
Created attachment 325786 [details]
Xorg.5.log.old
Comment 17 András Szilárd 2008-12-04 23:07:45 EST
Created attachment 325787 [details]
Xorg.6.log
Comment 18 András Szilárd 2008-12-04 23:08:11 EST
Created attachment 325788 [details]
Xorg.6.log.old
Comment 19 András Szilárd 2008-12-04 23:08:38 EST
Created attachment 325789 [details]
Xorg.7.log
Comment 20 András Szilárd 2008-12-04 23:09:11 EST
Created attachment 325791 [details]
Xorg.7.log.old
Comment 21 András Szilárd 2008-12-04 23:09:39 EST
Created attachment 325793 [details]
Xorg.8.log
Comment 22 András Szilárd 2008-12-04 23:15:41 EST
# ls -ltr /var/log/Xorg.[0-9].log*
-rw-r--r-- 1 root root  6511 2008-07-12 10:05 /var/log/Xorg.7.log.old
-rw-r--r-- 1 root root  6511 2008-07-12 10:05 /var/log/Xorg.6.log.old
-rw-r--r-- 1 root root  6511 2008-07-13 11:47 /var/log/Xorg.8.log
-rw-r--r-- 1 root root  6511 2008-07-13 11:47 /var/log/Xorg.7.log
-rw-r--r-- 1 root root  6511 2008-07-13 11:47 /var/log/Xorg.6.log
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.1.log.old
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.5.log.old
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.4.log.old
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.3.log.old
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.2.log.old
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.3.log
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.2.log
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.5.log
-rw-r--r-- 1 root root 24859 2008-11-16 10:22 /var/log/Xorg.4.log
-rw-r--r-- 1 root root 59831 2008-12-05 04:42 /var/log/Xorg.0.log.old
-rw-r--r-- 1 root root 74200 2008-12-05 04:44 /var/log/Xorg.0.log

# grep -i overflow /var/log/Xorg.[0-9].log*
[empty]
Somehow, those logs, which contained the "EQ overflowing" got overwritten.
Comment 23 András Szilárd 2008-12-04 23:35:16 EST
Created attachment 325796 [details]
Xorg.0.log with autogenerated xorg.conf
Comment 24 András Szilárd 2008-12-05 12:02:14 EST
With no xorg.conf the screen freeze (X hang) still happens.
See, the attached Xorg log, which now has some traces.
Comment 25 András Szilárd 2008-12-05 12:03:49 EST
Created attachment 325880 [details]
no xorg.conf X still hangs after a while
Comment 26 András Szilárd 2008-12-05 12:05:13 EST
Created attachment 325881 [details]
recent Xorg.0.log
Comment 27 Bug Zapper 2009-11-18 02:51:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Bug Zapper 2009-12-18 02:02:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.